'use strict';
const router = require('express').Router();
const { auth } = require("../middleware/authChecker")
const { APIlogger } = require('../middleware/apiLogger.js');

router.use('/auth', require('./auth'));

router.use('/apikey', require('./apikey'));

router.use('/user', [auth, APIlogger], require('./user'));

//location route
router.use('/location', [auth, APIlogger], require('./location'));

//location route
router.use('/sensor', [auth, APIlogger], require('./sensor'));

//location route
router.use('/sensor-data', [auth, APIlogger], require('./sensorData'));

module.exports = router;


